<?php

namespace EventPortal\Domain\Component\Dropdown;

use EventPortal\Domain\Component\Concerns\HasOptions;
use EventPortal\Domain\Component\Input;

class Select extends Input
{
    use HasOptions;

    const TYPE = 'Select';

    public function __construct(?string $label = null)
    {
        parent::__construct($label);

        $this->lookup(function ($query, $field, $value) {
            return $query->where($field . '->value', $value);
        });
    }
}
