<?php

namespace EventPortal\Domain\Component;

use EventPortal\Domain\Component\Dropdown\Select;

class Status extends Select
{
    public function __construct(?string $label = null)
    {
        parent::__construct($label);

        $this->lookup(function ($query, $field, $value) {
            return $query->where($field, $value);
        });
    }
}
